Skip to content
OperadeDocs

Search documentation

Type to search documentation.

Documentation
Copy page
Open raw Markdown

Dismiss an analytics Spotlight insight

Dismiss one active Analytics Spotlight insight for the current dashboard user for 30 days.

Endpoint

POST/api/v1/workspaces/{workspace_id}/analytics/spotlight/{insight_key}/dismiss

Authentication

Operation classAuthenticationMinimum roleAPI key
dashboard-session-apiDashboard session cookie; mutations also require X-CX-Request: 1.memberNot allowed

Parameters

NameInTypeRequiredDescription
workspace_idpathstringYes—
insight_keypathstringYes—
fromquerystring or nullNo—
toquerystring or nullNo—
timezonequerystring or nullNo—
granularityquerystring or nullNo—
agent_idquerystring or nullNo—
branch_idquerystring or nullNo—
version_idquerystring or nullNo—
sourcequerystring or nullNo—

Request body

application/json request schema

Field pathTypeReferenceFormatNullableRequiredEnumDescription
$objectDismissInsightBody—NoYes——
agent_idstring——NoYes——

Example

cURL
curl --request POST 'https://operade.ai/api/v1/workspaces/ws_demo/analytics/spotlight/repeated_runtime_errors%3Aagt_demo%3A0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef/dismiss?agent_id=agt_demo' \
  --cookie 'cx_session=YOUR_SESSION_COOKIE' \
  --header 'X-CX-Request: 1' \
  --header 'Content-Type: application/json' \
  --data '{"agent_id":"agt_demo"}'

Responses

StatusDescriptionContent
4XXClient Errorapplication/json: ErrorResponse
204The insight was dismissed; no response body is returned.No body

4XX application/json response schema

Field pathTypeReferenceFormatNullableRequiredEnumDescription
$objectErrorResponse—NoYes——
errorobjectErrorItem—NoYes——
error.codestring——NoYes——
error.detailsobject——NoNo——
error.messagestring——NoYes——

Response example

HTTP
HTTP 204
This response has no body.

Errors

Reviewed common and route-declared errors are summarized here; the list is not exhaustive. Start with the distributed error index to find each code's canonical domain page.

StatusCodeDescription
401unauthenticatedAuthentication is missing, invalid, or revoked.
403forbiddenThe authenticated caller does not have access to this operation.
404not_foundThe requested workspace resource was not found.
422validation_failedThe analytics window, filter combination, tab, grouping, or requested resource is invalid.
On this page
  1. Endpoint
  2. Authentication
  3. Parameters
  4. Request body
  5. application/json request schema
  6. Example
  7. Responses
  8. 4XX application/json response schema
  9. Response example
  10. Errors
  11. Related operations